FastNetMon

вторник, 24 марта 2009 г.

Обновление Debian 4 Etch для Debian 5 Lenny

Для начала обновим систему до самой новой версии текущего стабильного дистрибутива:
apt-get update;
apt-get upgrade;

Теперь открываем файл управления репозиториями:
vi /etc/apt/sources.list


И меняем везде etch на lenny (конфиг файл может выглядеть иначе, то, что Вы видите ниже - лишь пример):
deb http://ftp2.de.debian.org/debian lenny main contrib non-free
deb http://ftp2.de.debian.org/debian-security lenny/updates main contrib non-free

После этого выполняем (да, apt-get upgrade включен в apt-get dist-upgrade, но я лично предпочитаю их запускать по отдельности):
apt-get update
apt-get upgrade
apt-get dist-upgrade

В процессе апгрейда Debian будет задавать множество вопросов на тему "а заменить ли этот конфиг?" самый безопасный способ на все вопросы отвечать "Оставить старый конфиг" (Save Old Config) / "Ok".

Также очень часто apt-get задает такой вопрос "The default action is to keep your current version. *** xxxxx.conf (Y/I/N/O/D/Z) [default=N] ? " и на него самое безопасное отвечать N либо просто нажимать Enter, так как этот ответ стандартный.

Еще очень част запрос в виде "Modified configuration file" на который необходимо отвечать: "keep the local version currently installed".

Также может выдаваться запрос "Services to restart for XXX library upgrade", на него можно смело отвечать Ok.

Но так или иначе, часто Debian задает такие вопросы, на которые без технических знаний не ответить, так что, если не уверены в своих силах, обращайтесь к профессионалам, пожалуйста, иначе убытки неминуемы.

Вот и все, апдейт закончен :)

Комментариев нет :

Отправка комментария

Примечание. Отправлять комментарии могут только участники этого блога.